## org.eclipse.datatools.connectivity.db.generic.ui
Class GenericDBProfilePropertyPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.ui.dialogs.PropertyPage
                  org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
                      org.eclipse.datatools.connectivity.ui.wizards.ProfileDetailsPropertyPage
                          org.eclipse.datatools.connectivity.db.generic.ui.GenericDBProfilePropertyPage

All Implemented Interfaces:
  org.eclipse.help.IContextProvider, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPropertyPage

    public class GenericDBProfilePropertyPage

extends ProfileDetailsPropertyPage
implements org.eclipse.help.IContextProvider

This class allows the user to edit connection properties for the generic DB connection profile.

Author:
  ledunnel

Field Summary

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`GenericDBProfilePropertyPage()`

Method Summary
`void` `dispose()`
`org.eclipse.help.IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getDriverCategory()`
`java.lang.String` `getDriverURL()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`
`boolean` `isValid()`
`void` `setDriverCategory(java.lang.String driverCategory)` Sets the driver category that should be used for displaying available driver defnitions.
`void` `setErrorMessage(java.lang.String newMessage)`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ProfileDetailsPropertyPage
`setPingButtonEnabled`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage
`createControl, getConnectionProfile, performOk`

Methods inherited from class org.eclipse.ui.dialogs.PropertyPage
`getElement, setElement`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, computeSize, createControl, getContainer, getPreferenceStore, okToLeave, performCancel, performHelp, setContainer, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### GenericDBProfilePropertyPage

    public GenericDBProfilePropertyPage()

Method Detail

### getDriverURL

    public java.lang.String getDriverURL()

  Returns:

### isValid

    public boolean isValid()

  Specified by:
    `isValid` in interface `org.eclipse.jface.preference.IPreferencePage`
  Overrides:
    `isValid` in class `org.eclipse.jface.preference.PreferencePage`

### setErrorMessage

    public void setErrorMessage(java.lang.String newMessage)

  Overrides:
    `setErrorMessage` in class `org.eclipse.jface.preference.PreferencePage`

### getDriverCategory

    public java.lang.String getDriverCategory()

### setDriverCategory

    public void setDriverCategory(java.lang.String driverCategory)

  Sets the driver category that should be used for displaying available driver defnitions.

  Parameters:
    `driverCategory` -

### getContext

    public org.eclipse.help.IContext getContext(java.lang.Object target)

  Specified by:
    `getContext` in interface `org.eclipse.help.IContextProvider`

### getContextChangeMask

    public int getContextChangeMask()

  Specified by:
    `getContextChangeMask` in interface `org.eclipse.help.IContextProvider`

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

  Specified by:
    `getSearchExpression` in interface `org.eclipse.help.IContextProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `dispose` in class `ProfilePropertyPage`